com.io7m.jregions.core.unparameterized.areas

## Interface AreaValuesBDType

- All Superinterfaces:
    AreaSizeValuesBDType
  All Known Subinterfaces:
    AreaBDType, PAreaBDType<S>
  All Known Implementing Classes:
    AreaBD, PAreaBD

      public interface AreaValuesBDType
      extends AreaSizeValuesBDType

  An area with `BigDecimal` coordinates.

  The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y axis.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `maximumX()`
    `BigDecimal` | `maximumY()`
    `BigDecimal` | `minimumX()`
    `BigDecimal` | `minimumY()`
    `default BigDecimal` | `sizeX()`
    `default BigDecimal` | `sizeY()`

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesBDType

      `height, width`

- - ### Method Detail

    - #### minimumX

          BigDecimal minimumX()

      Returns:
        The value on the X axis of the minimum edge of the box (inclusive)

    - #### maximumX

          BigDecimal maximumX()

      Returns:
        The value on the X axis of the maximum edge of the box (exclusive)

    - #### minimumY

          BigDecimal minimumY()

      Returns:
        The value on the Y axis of the minimum edge of the box (inclusive)

    - #### maximumY

          BigDecimal maximumY()

      Returns:
        The value on the Y axis of the maximum edge of the box (exclusive)

    - #### sizeX

          default BigDecimal sizeX()

      Specified by:
        `sizeX` in interface `AreaSizeValuesBDType`
      Returns:
        The size of the area on the X axis

    - #### sizeY

          default BigDecimal sizeY()

      Specified by:
        `sizeY` in interface `AreaSizeValuesBDType`
      Returns:
        The size of the area on the Y axis

Copyright © 2017 <code@io7m.com> http://io7m.com